Author Topic: Known issues in 1.2.1 (and before)  (Read 2906 times)

Nightborn

  • Administrator
  • Sr. Member
  • *****
  • Posts: 320
  • Karma: +20/-0
    • View Profile
    • Shinobilegends
Known issues in 1.2.1 (and before)
« on: September 23, 2008, 08:09:37 am »
1. Cache Invalidation (at least for me) not working correctly when installing/upgrading modules
The error about "module tried to be injected but is not active" in specials got fixed.
fixed

2. Battle System uses "deprecated" calls by reference - the battle needs to be reconstructed completely

3. Companion AI scripts have the interesting tendency to "carry over" to another participating enemy. When somebody who uses an AI script dies, the script gets still executed but with another badguy doing it. I have no clue why, and the companion system will be reworked along with the battle system.

« Last Edit: November 10, 2008, 12:25:27 pm by Nightborn »
It should be fixed, but it won't be easy and it won't be fast. If you want
to help - wonderful. But keep in mind that it will take months of wading
through the ugliest code we have in the tree. If you've got a weak stomach -
stay out. I've been there and it's not a nice place.

   - Al Viro